[arch-commits] Commit in openjdk6/trunk (PKGBUILD fontconfig-paths.diff)

andyrtr at archlinux.org andyrtr at archlinux.org
Fri May 29 19:33:45 EDT 2009


    Date: Friday, May 29, 2009 @ 19:33:45
  Author: andyrtr
Revision: 40691

upgpkg: openjdk6 1.5-1
    new version 1.5

Modified:
  openjdk6/trunk/PKGBUILD
  openjdk6/trunk/fontconfig-paths.diff

-----------------------+
 PKGBUILD              |   43 +++++++++------
 fontconfig-paths.diff |  137 +++++++++++++++++++++++++++++++++++++++---------
 2 files changed, 142 insertions(+), 38 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-29 22:04:02 UTC (rev 40690)
+++ PKGBUILD	2009-05-29 23:33:45 UTC (rev 40691)
@@ -5,7 +5,7 @@
 pkgname=openjdk6
 _date=20090524
 #pkgver=1.5_hg${_date}
-pkgver=1.5rc3
+pkgver=1.5
 _hgver=926c38e2b283 # =hg rc3 tagged, see http://icedtea.classpath.org/hg/icedtea6/summary
 _icedteaver=1.5
 pkgrel=1
@@ -16,15 +16,19 @@
 _openjdk_version=b16
 _openjdk_date=24_apr_2009
 _hotspotver=25a020f13592 # what it downlopads itself / remove from configure to get it
-depends=('gcc-libs' 'xdg-utils' 'hicolor-icon-theme' 'ca-certificates-java')
-makedepends=('alsa-lib' 'libxtst' 'giflib' 'libxp' 'gtk2' 'nspr' 'zlib' 'freetype2' 'libjpeg' 'libx11' 'libcups' 'patch' 'xalan-java' 'xulrunner>=1.9.0.10' 'apache-ant>=1.7.0' 'autoconf' 'unzip' 'rhino' 'mercurial')
+depends=('gcc-libs' 'xdg-utils' 'hicolor-icon-theme' 'ca-certificates-java' 'libxtst')
+makedepends=('alsa-lib' 'giflib' 'libxp' 'gtk2' 'nspr' 'zlib' 'freetype2' 'libjpeg' 'libx11'
+	     'libcups' 'patch' 'xalan-java' 'xulrunner>=1.9.0.10' 'apache-ant>=1.7.0' 'autoconf' 'unzip' 'rhino' 'mercurial')
+optdepends=('xulrunner: for the browser plugin'
+            'alsa-lib: for sound'
+            'giflib: for gif format support')
 conflicts=('java-environment' 'java-runtime')
 provides=('java-environment=6' 'java-runtime=6')
 options=('!emptydirs')
 install=openjdk6.install
-source=(#http://icedtea.classpath.org/download/source/icedtea6-${_icedteaver}.tar.gz
+source=(http://icedtea.classpath.org/download/source/icedtea6-${_icedteaver}.tar.gz
 	#ftp://ftp.archlinux.org/other/openjdk6/icedtea6-${_date}.tar.bz2
-	http://icedtea.classpath.org/hg/icedtea6/archive/${_hgver}.tar.gz
+	#http://icedtea.classpath.org/hg/icedtea6/archive/${_hgver}.tar.gz
 	http://download.java.net/openjdk/jdk6/promoted/${_openjdk_version}/openjdk-6-src-${_openjdk_version}-${_openjdk_date}.tar.gz
 	http://hg.openjdk.java.net/hsx/hsx14/master/archive/${_hotspotver}.tar.gz
 	fix_jdk_cmds_path.diff
@@ -33,6 +37,14 @@
 	fontconfig-paths.diff
 	openjdk6.profile)
 noextract=(openjdk-6-src-${_openjdk_version}-${_openjdk_date}.tar.gz ${_hotspotver}.tar.gz)
+md5sums=('a67303675a53781c4e42bdb02ec78e40'
+         '850a29b70206bc7fa083cd26acc781f3'
+         'dbd7aca5544d1aeebf0eadd45d29d08e'
+         '5da3e39fa60985576c4f37d1491efbe2'
+         'f7e7a212e50abb56a6ef1a2b1bd27405'
+         'ef60d567c0d9bad111212851220deafd'
+         'ee1afda124d5927345014ab382ef581e'
+         'd0703088e10aa957c037644ab88d716d')
 
 build() {
   # for hg checkout install mercurial and
@@ -55,19 +67,19 @@
   _jvmdir=/usr/lib/jvm/java-${_javaver}-openjdk
 
 #  cd ${srcdir}/icedtea6
-#  cd ${srcdir}/icedtea6-${_icedteaver}
-  cd ${srcdir}/icedtea6-${_hgver}
+  cd ${srcdir}/icedtea6-${_icedteaver}
+#  cd ${srcdir}/icedtea6-${_hgver}
   ln -s ${srcdir}/openjdk-6-src-${_openjdk_version}-${_openjdk_date}.tar.gz .
   ln -s ${srcdir}/${_hotspotver}.tar.gz .
 
 #  cp ${srcdir}/*.diff ${srcdir}/icedtea6/patches/
-#  cp ${srcdir}/*.diff ${srcdir}/icedtea6-${_icedteaver}/patches/
-  cp ${srcdir}/*.diff ${srcdir}/icedtea6-${_hgver}/patches/
+  cp ${srcdir}/*.diff ${srcdir}/icedtea6-${_icedteaver}/patches/
+#  cp ${srcdir}/*.diff ${srcdir}/icedtea6-${_hgver}/patches/
 #  export DISTRIBUTION_PATCHES="patches/fix_jdk_cmds_path.diff patches/fix_corba_cmds_path.diff patches/aatext_by_default.diff patches/fontconfig-paths.diff"
-  export DISTRIBUTION_PATCHES="patches/fix_jdk_cmds_path.diff"
+  export DISTRIBUTION_PATCHES="patches/fix_jdk_cmds_path.diff patches/aatext_by_default.diff patches/fontconfig-paths.diff patches/fix_corba_cmds_path.diff"
 
-  ./autogen.sh
-  autoreconf # needed due to mercurial build
+#  ./autogen.sh
+#  autoreconf # needed due to mercurial build
 
   export ALT_PARALLEL_COMPILE_JOBS="${MAKEFLAGS/-j}"
   export HOTSPOT_BUILD_JOBS="${ALT_PARALLEL_COMPILE_JOBS}"
@@ -87,16 +99,16 @@
 	--with-hotspot-src-zip=${_hotspotver}.tar.gz \
 	--with-pkgversion=ArchLinux-${pkgver}-${pkgrel}-$CARCH  $JCONF
 
+#	--enable-npplugin \
 # 	--enable-visualvm \ --with-additional-vms=cacao,zero,shark \
-#	--enable-npplugin \
 
   LD_PRELOAD="" make || return 1
  
   install -m755 -d ${pkgdir}/${_jvmdir}/jre
 
 #  pushd ${srcdir}/icedtea6/openjdk/build/linux-${_arch}/j2sdk-image
-#  pushd ${srcdir}/icedtea6-${_icedteaver}/openjdk/build/linux-${_arch}/j2sdk-image
-  pushd ${srcdir}/icedtea6-${_hgver}/openjdk/build/linux-${_arch}/j2sdk-image
+  pushd ${srcdir}/icedtea6-${_icedteaver}/openjdk/build/linux-${_arch}/j2sdk-image
+#  pushd ${srcdir}/icedtea6-${_hgver}/openjdk/build/linux-${_arch}/j2sdk-image
    # Install main files.
   cp -a bin include lib src.zip ${pkgdir}/${_jvmdir}/ || return 1
   cp -a jre/bin jre/lib ${pkgdir}/${_jvmdir}/jre/ || return 1
@@ -134,6 +146,7 @@
   # link the mozilla-plugin
   install -m755 -d ${pkgdir}/usr/lib/mozilla/plugins/
   ln -sf ${_jvmdir}/jre/lib/${_arch/i586/i386}/IcedTeaPlugin.so ${pkgdir}/usr/lib/mozilla/plugins/ || return 1
+#  ln -sf ${_jvmdir}/jre/lib/${_arch/i586/i386}/IcedTeaNPPlugin.so ${pkgdir}/usr/lib/mozilla/plugins/ || return 1
 
   # link binaries into /usr/bin
   install -m755 -d ${pkgdir}/usr/bin

Modified: fontconfig-paths.diff
===================================================================
--- fontconfig-paths.diff	2009-05-29 22:04:02 UTC (rev 40690)
+++ fontconfig-paths.diff	2009-05-29 23:33:45 UTC (rev 40691)
@@ -1,6 +1,6 @@
---- openjdk/jdk/src/solaris/classes/sun/awt/fontconfigs/linux.fontconfig.Ubuntu.properties.orig	2008-08-06 14:11:55.000000000 +0200
-+++ openjdk/jdk/src/solaris/classes/sun/awt/fontconfigs/linux.fontconfig.Ubuntu.properties	2008-08-06 14:15:36.000000000 +0200
-@@ -128,23 +128,23 @@
+--- openjdk/jdk/src/solaris/classes/sun/awt/fontconfigs/linux.fontconfig.Ubuntu.properties	2009-05-29 22:45:23.024341869 +0000
++++ openjdk/jdk/src/solaris/classes/sun/awt/fontconfigs/linux.fontconfig.Ubuntu.properties.new	2009-05-29 22:55:13.681366890 +0000
+@@ -275,73 +275,61 @@
  
  # Font File Names
  
@@ -8,36 +8,127 @@
 -filename.DejaVu_Sans_Bold=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Bold.ttf
 -filename.DejaVu_Sans_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Oblique.ttf
 -filename.DejaVu_Sans_Bold_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-BoldOblique.ttf
+-
+-filename.DejaVu_Sans_Mono=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf
+-filename.DejaVu_Sans_Mono_Bold=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono-Bold.ttf
+-filename.DejaVu_Sans_Mono_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono-Oblique.ttf
+-filename.DejaVu_Sans_Mono_Bold_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono-BoldOblique.ttf
+-
+-filename.DejaVu_Serif=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif.ttf
+-filename.DejaVu_Serif_Bold=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif-Bold.ttf
+-filename.DejaVu_Serif_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif-Oblique.ttf
+-filename.DejaVu_Serif_Bold_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif-BoldOblique.ttf
+-
+-filename.AR_PL_UMing_CN=/usr/share/fonts/truetype/arphic/uming.ttc
+-filename.AR_PL_UMing_HK=/usr/share/fonts/truetype/arphic/uming.ttc
+-filename.AR_PL_UMing_TW=/usr/share/fonts/truetype/arphic/uming.ttc
+-filename.AR_PL_ShanHeiSun_Uni=/usr/share/fonts/truetype/arphic/uming.ttf
+-
+-filename.WenQuanYi_Zen_Hei=/usr/share/fonts/truetype/wqy/wqy-zenhei.ttf
+-filename.Baekmuk_Batang=/usr/share/fonts/truetype/baekmuk/batang.ttf
+-filename.UnBatang=/usr/share/fonts/truetype/unfonts/UnBatang.ttf
+-filename.UnBatang_Bold=/usr/share/fonts/truetype/unfonts/UnBatangBold.ttf
+-filename.Baekmuk_Gulim=/usr/share/fonts/truetype/baekmuk/gulim.ttf
+-filename.UnDotum=/usr/share/fonts/truetype/unfonts/UnDotum.ttf
+-filename.UnDotum_Bold=/usr/share/fonts/truetype/unfonts/UnDotumBold.ttf
+-filename.Kochi_Gothic=/usr/share/fonts/truetype/kochi/kochi-gothic.ttf
+-filename.Sazanami_Gothic=/usr/share/fonts/truetype/sazanami/sazanami-gothic.ttf
+-filename.Kochi_Mincho=/usr/share/fonts/truetype/kochi/kochi-mincho.ttf
+-filename.Sazanami_Mincho=/usr/share/fonts/truetype/sazanami/sazanami-mincho.ttf
+-filename.VL_Gothic=/usr/share/fonts/truetype/vlgothic/VL-Gothic-Regular.ttf
+-filename.VL_PGothic=/usr/share/fonts/truetype/vlgothic/VL-PGothic-Regular.ttf
+-
+-filename.Lohit_Bengali=/usr/share/fonts/truetype/ttf-bengali-fonts/lohit_bn.ttf
+-filename.Lohit_Gujarati=/usr/share/fonts/truetype/ttf-indic-fonts-core/lohit_gu.ttf
+-filename.Lohit_Hindi=/usr/share/fonts/truetype/ttf-indic-fonts-core/lohit_hi.ttf
+-filename.Lohit_Kannda=/usr/share/fonts/truetype/ttf-kannada-fonts/lohit_kn.ttf
+-#filename.Lohit_Malayalam=/usr/share/fonts/lohit-malayalam/lohit_ml.ttf
+-filename.Lohit_Oriya=/usr/share/fonts/truetype/ttf-oriya-fonts/lohit_or.ttf
+-filename.Lohit_Punjabi=/usr/share/fonts/truetype/ttf-indic-fonts-core/lohit_pa.ttf
+-filename.Lohit_Tamil=/usr/share/fonts/truetype/ttf-indic-fonts-core/lohit_ta.ttf
+-filename.Lohit_Telugu=/usr/share/fonts/truetype/ttf-telugu-fonts/lohit_te.ttf
+-filename.LKLUG=/usr/share/fonts/truetype/ttf-sinhala-lklug/lklug.ttf
+-
+-filename.LuxiSans-Regular=/usr/share/fonts/truetype/ttf-xfree86-nonfree/luxisr.ttf
+-filename.LuxiSans-Bold=/usr/share/fonts/truetype/ttf-xfree86-nonfree/luxisb.ttf
+-filename.LuxiSans-Oblique=/usr/share/fonts/truetype/ttf-xfree86-nonfree/luxisri.ttf
+-filename.LuxiSans-BoldOblique=/usr/share/fonts/truetype/ttf-xfree86-nonfree/luxisbi.ttf
+-filename.LuxiMono-Regular=/usr/share/fonts/truetype/ttf-xfree86-nonfree/luximr.ttf
+-filename.LuxiMono-Bold=/usr/share/fonts/truetype/ttf-xfree86-nonfree/luximb.ttf
+-filename.LuxiMono-Oblique=/usr/share/fonts/truetype/ttf-xfree86-nonfree/luximri.ttf
+-filename.LuxiMono-BoldOblique=/usr/share/fonts/truetype/ttf-xfree86-nonfree/luximbi.ttf
+-filename.LuxiSerif-Regular=/usr/share/fonts/truetype/ttf-xfree86-nonfree/luxirr.ttf
+-filename.LuxiSerif-Bold=/usr/share/fonts/truetype/ttf-xfree86-nonfree/luxirb.ttf
+-filename.LuxiSerif-Oblique=/usr/share/fonts/truetype/ttf-xfree86-nonfree/luxirri.ttf
+-filename.LuxiSerif-BoldOblique=/usr/share/fonts/truetype/ttf-xfree86-nonfree/luxirbi.ttf
+-
+-# AWT X11 font paths
+-awtfontpath.latin-1=/usr/share/fonts/X11/Type1
+-awtfontpath.umingcn=/usr/share/fonts/truetype/arphic
+-awtfontpath.uminghk=/usr/share/fonts/truetype/arphic
+-awtfontpath.umingtw=/usr/share/fonts/truetype/arphic
+-awtfontpath.shanheisun=/usr/share/fonts/truetype/arphic
+-awtfontpath.wqy-zenhei=/usr/share/fonts/truetype/wqy
+-awtfontpath.japanese-kochi=/usr/share/fonts/truetype/kochi
+-awtfontpath.japanese-sazanami=/usr/share/fonts/truetype/sazanami
+-awtfontpath.japanese-vlgothic=/usr/share/fonts/truetype/vlgothic
+-awtfontpath.korean-baekmuk=/usr/share/fonts/truetype/baekmuk
+-awtfontpath.korean-un=/usr/share/fonts/truetype/unfonts
 +filename.DejaVu_Sans=/usr/share/fonts/TTF/DejaVuSans.ttf
 +filename.DejaVu_Sans_Bold=/usr/share/fonts/TTF/DejaVuSans-Bold.ttf
 +filename.DejaVu_Sans_Oblique=/usr/share/fonts/TTF/DejaVuSans-Oblique.ttf
 +filename.DejaVu_Sans_Bold_Oblique=/usr/share/fonts/TTF/DejaVuSans-BoldOblique.ttf
- 
--filename.DejaVu_Sans_Mono=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf
--filename.DejaVu_Sans_Mono_Bold=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono-Bold.ttf
--filename.DejaVu_Sans_Mono_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono-Oblique.ttf
--filename.DejaVu_Sans_Mono_Bold_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono-BoldOblique.ttf
++
 +filename.DejaVu_Sans_Mono=/usr/share/fonts/TTF/DejaVuSansMono.ttf
 +filename.DejaVu_Sans_Mono_Bold=/usr/share/fonts/TTF/DejaVuSansMono-Bold.ttf
 +filename.DejaVu_Sans_Mono_Oblique=/usr/share/fonts/TTF/DejaVuSansMono-Oblique.ttf
 +filename.DejaVu_Sans_Mono_Bold_Oblique=/usr/share/fonts/TTF/DejaVuSansMono-BoldOblique.ttf
- 
--filename.DejaVu_Serif=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif.ttf
--filename.DejaVu_Serif_Bold=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif-Bold.ttf
--filename.DejaVu_Serif_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif-Oblique.ttf
--filename.DejaVu_Serif_Bold_Oblique=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif-BoldOblique.ttf
++
 +filename.DejaVu_Serif=/usr/share/fonts/TTF/DejaVuSerif.ttf
 +filename.DejaVu_Serif_Bold=/usr/share/fonts/TTF/DejaVuSerif-Bold.ttf
 +filename.DejaVu_Serif_Oblique=/usr/share/fonts/TTF/DejaVuSerif-Oblique.ttf
 +filename.DejaVu_Serif_Bold_Oblique=/usr/share/fonts/TTF/DejaVuSerif-BoldOblique.ttf
- 
--filename.Kochi_Gothic=/usr/share/fonts/truetype/kochi/kochi-gothic-subst.ttf
--filename.Kochi_Mincho=/usr/share/fonts/truetype/kochi/kochi-mincho-subst.ttf
--filename.AR_PL_ZenKai_Uni=/usr/share/fonts//truetype/arphic/ukai.ttf
--filename.Baekmuk_Dotum=/usr/share/fonts/truetype/baekmuk/dotum.ttf
--filename.Baekmuk_Batang=/usr/share/fonts/truetype/baekmuk/batang.ttf
-+filename.Kochi_Gothic=/usr/share/fonts/TTF/kochi-gothic-subst.ttf
-+filename.Kochi_Mincho=/usr/share/fonts/TTF/kochi-mincho-subst.ttf
-+filename.AR_PL_ZenKai_Uni=/usr/share/fonts/TTF/ukai.ttf
-+filename.Baekmuk_Dotum=/usr/share/fonts/TTF/dotum.ttf
++
++filename.AR_PL_UMing_CN=/usr/share/fonts/TTF/uming.ttc
++filename.AR_PL_UMing_HK=/usr/share/fonts/TTF/uming.ttc
++filename.AR_PL_UMing_TW=/usr/share/fonts/TTF/uming.ttc
++filename.AR_PL_ShanHeiSun_Uni=/usr/share/TTF/uming.ttf
++
++filename.WenQuanYi_Zen_Hei=/usr/share/fonts/TTF/wqy-zenhei.ttf
 +filename.Baekmuk_Batang=/usr/share/fonts/TTF/batang.ttf
++filename.UnBatang=/usr/share/fonts/TTF/UnBatang.ttf
++filename.UnBatang_Bold=/usr/share/fonts/TTF/UnBatangBold.ttf
++filename.Baekmuk_Gulim=/usr/share/fonts/TTF/gulim.ttf
++filename.UnDotum=/usr/share/fonts/TTF/UnDotum.ttf
++filename.UnDotum_Bold=/usr/share/fonts/TTF/UnDotumBold.ttf
++filename.Kochi_Gothic=/usr/share/fonts/TTF/kochi-gothic.ttf
++filename.Sazanami_Gothic=/usr/share/fonts/TTF/sazanami-gothic.ttf
++filename.Kochi_Mincho=/usr/share/fonts/TTF/kochi-mincho.ttf
++filename.Sazanami_Mincho=/usr/share/fonts/TTF/sazanami-mincho.ttf
++filename.VL_Gothic=/usr/share/fonts/TTF/VL-Gothic-Regular.ttf
++filename.VL_PGothic=/usr/share/fonts/TTF/VL-PGothic-Regular.ttf
++
++filename.Lohit_Bengali=/usr/share/fonts/TTF/lohit_bn.ttf
++filename.Lohit_Gujarati=/usr/share/fonts/TTF/lohit_gu.ttf
++filename.Lohit_Hindi=/usr/share/fonts/TTF/lohit_hi.ttf
++filename.Lohit_Kannda=/usr/share/fonts/TTF/lohit_kn.ttf
++#filename.Lohit_Malayalam=/usr/share/fonts/TTF/lohit_ml.ttf
++filename.Lohit_Oriya=/usr/share/fonts/TTF/lohit_or.ttf
++filename.Lohit_Punjabi=/usr/share/fonts/TTF/lohit_pa.ttf
++filename.Lohit_Tamil=/usr/share/fonts/TTF/lohit_ta.ttf
++filename.Lohit_Telugu=/usr/share/fonts/TTF/lohit_te.ttf
++filename.LKLUG=/usr/share/fonts/TTF/lklug.ttf
++
++filename.LuxiSans-Regular=/usr/share/fonts/TTF/luxisr.ttf
++filename.LuxiSans-Bold=/usr/share/fonts/TTF/luxisb.ttf
++filename.LuxiSans-Oblique=/usr/share/fonts/TTF/luxisri.ttf
++filename.LuxiSans-BoldOblique=/usr/share/fonts/TTF/luxisbi.ttf
++filename.LuxiMono-Regular=/usr/share/fonts/TTF/luximr.ttf
++filename.LuxiMono-Bold=/usr/share/fonts/TTF/luximb.ttf
++filename.LuxiMono-Oblique=/usr/share/fonts/TTF/luximri.ttf
++filename.LuxiMono-BoldOblique=/usr/share/fonts/TTF/luximbi.ttf
++filename.LuxiSerif-Regular=/usr/share/fonts/TTF/luxirr.ttf
++filename.LuxiSerif-Bold=/usr/share/fonts/TTF/luxirb.ttf
++filename.LuxiSerif-Oblique=/usr/share/fonts/TTF/luxirri.ttf
++filename.LuxiSerif-BoldOblique=/usr/share/fonts/TTF/luxirbi.ttf
++



More information about the arch-commits mailing list